import { FC, ReactNode } from 'react';
import { CalendarLayoutEnum, CalendarTypeEnum } from './Calendar';
import { CalendarDayProps } from './CalendarDay';
export type CalendarCellProps = {
    Day?: FC<CalendarDayProps>;
    children?: ReactNode;
    className?: string;
    date: Date;
    enableHover?: boolean;
    isSelected?: boolean;
    isToday?: boolean;
    layout?: CalendarLayoutEnum;
    onClick?: (date: Date) => void;
    type?: CalendarTypeEnum;
    weekOfMonth?: number;
    workDate: Date;
};
export declare const CalendarCell: FC<CalendarCellProps>;
